OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000094OMNeT++IDE / NED editorpublic2009-08-18 21:082012-01-09 18:08
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.2 
Summary0000094: IDE for slow CPUs
Description[Karl Wessel]: Is there a way to disable some of the on the fly features the IDE does while you are typing code? On my Desktop PC I really appreciate the comfort of on the fly syntax checking of NED files and automatic content assist, but on my laptop it often freezes every two words I type (Especially in the NED editor) for about 1 to 4 seconds. Which is really annoying.

Is there a way to speed things up a bit by disabling some of the features? For example syntax checking of NED files only when the file is saved or something like that?

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000386)
andras (administrator)
2011-02-05 16:55

Several performance improvements have been implemented for 4.2 beta 1:

1. Inifile analysis (that calculates which ini line applies to which module parameters in the network) is now performed in a background thread (on a temporary copy of the inifile data), so it doesn't block the UI any more.

2. Moreover, inifile analysis can be turned off via context menu

3. The Module Hierarchy View is now lazy, i.e. it only computes a level if you open a tree node

4. NED validation (which blocked the UI for a few seconds after some typing) is now performed in a background thread (on a temporary copy of the NED data), so it doesn't block the UI any more

5. Several local optimizations in the graphical NED editor, which make it possible to open (and edit) much larger NED files than before. E.g. now I can edit a network that contains 10,000 fixed-position modules (a 100x100 square grid). If the modules are floating, the editable network size is smaller because layouting takes a lot of time.

One 4.2 beta 1 comes out (mid-Feb 2011), can you please check whether it is OK performance-wise?

- Issue History
Date Modified Username Field Change
2009-08-18 21:08 andras New Issue
2011-02-05 16:55 andras Note Added: 0000386
2011-02-05 16:57 andras Assigned To => andras
2011-02-05 16:57 andras Status new => feedback
2012-01-09 18:08 rhornig Status feedback => resolved
2012-01-09 18:08 rhornig Fixed in Version => 4.2
2012-01-09 18:08 rhornig Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker